# REST Resource: regionCompositeHealthChecks

- [Resource: CompositeHealthCheck](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionCompositeHealthChecks#CompositeHealthCheck)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionCompositeHealthChecks#CompositeHealthCheck.SCHEMA_REPRESENTATION)
- [Methods](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionCompositeHealthChecks#METHODS_SUMMARY)

## Resource: CompositeHealthCheck

Represents a composite health check.

A composite health check resource specifies the health source resources and the health destination resource to which the aggregated health result from the health source resources is delivered.

| JSON representation |
|---|
| ``` { "kind": string, "id": string, "creationTimestamp": string, "name": string, "description": string, "selfLink": string, "selfLinkWithId": string, "region": string, "healthSources": [ string ], "healthDestination": string, "fingerprint": string } ``` |

| Fields ||
|---|---|
| `kind` | `string` Output only. Type of the resource. Always `compute#compositeHealthCheck` for composite health checks. |
| `id` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. A unique identifier for this resource type. The server generates this identifier. |
| `creationTimestamp` | `string` Output only. Creation timestamp in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format. |
| `name` | `string` Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with [RFC1035](https://www.ietf.org/rfc/rfc1035.txt). Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash. |
| `description` | `string` An optional description of this resource. Provide this property when you create the resource. |
| `selfLink` | `string` Output only. Server-defined URL for the resource. |
| `selfLinkWithId` | `string` Output only. Server-defined URL with id for the resource. |
| `region` | `string` Output only. URL of the region where the composite health check resides. This field applies only to the regional resource. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body. |
| `healthSources[]` | `string` URLs to the `HealthSource` resources whose results are AND'ed. I.e. he aggregated result is is `HEALTHY` only if all sources are `HEALTHY`. Must have at least 1. Must not have more than 10. Must be regional and in the same region as the `CompositeHealthCheck`. Can be mutated. |
| `healthDestination` | `string` URL to the destination resource. Must be set. Must be a `ForwardingRule`. The `ForwardingRule` must have load balancing scheme `INTERNAL` or `INTERNAL_MANAGED` and must be regional and in the same region as the `CompositeHealthCheck` (cross-region deployment for `INTERNAL_MANAGED` is not supported). Can be mutated. |
| `fingerprint` | `string (https://developers.google.com/discovery/v1/type-format format)` Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a `CompositeHealthCheck`. An up-to-date fingerprint must be provided in order to patch the CompositeHealthCheck; Otherwise, the request will fail with error `412 conditionNotMet`. To see the latest fingerprint, make a `get()` request to retrieve the CompositeHealthCheck. A base64-encoded string. |

| ## Methods ||
|---|---|
| ### `https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionCompositeHealthChecks/aggregatedList` | Retrieves the list of all `CompositeHealthCheck` resources (all regional) available to the specified project. |
| ### `https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionCompositeHealthChecks/delete` | Deletes the specified CompositeHealthCheck in the given region |
| ### `https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionCompositeHealthChecks/get` | Returns the specified CompositeHealthCheck resource in the given region. |
| ### `https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionCompositeHealthChecks/getHealth` | Gets the most recent health check results for this regional CompositeHealthCheck. |
| ### `https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionCompositeHealthChecks/insert` | Create a CompositeHealthCheck in the specified project in the given region using the parameters that are included in the request. |
| ### `https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionCompositeHealthChecks/list` | Lists the CompositeHealthChecks for a project in the given region. |
| ### `https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionCompositeHealthChecks/patch` | Updates the specified regional `CompositeHealthCheck` resource with the data included in the request. |
| ### `https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionCompositeHealthChecks/testIamPermissions` | Returns permissions that a caller has on the specified resource. |